- hosts: moa
  become: true
  tasks:

  - shell: apt update

  - name: install networking utilities
    apt:
      name:
        - ethtool
        - tcpdump
      state: latest

  - name: install fastclick package
    shell: apt install -y ./fastclick_0.1.2-0_amd64.deb
    args:
      chdir: /tmp/moa/3p/click
    

  - name: install moa package
    shell: apt install -y ./moa_0.1.3-0_amd64.deb
    args:
      chdir: /tmp/moa/debian

  - name: configure link
    blockinfile:
      path: /etc/network/interfaces
      block: |
        auto eth1
        iface eth1 inet static
          address 10.0.0.99/24

  - name: bring up link
    shell: ifup eth1

  - name: setup vxlan
    shell: "{{item}}"
    loop: 
      - ip link add vxlan47 type vxlan id 47 dstport 4789 local 10.0.0.99
      - ip link set up dev vxlan47
      - bridge fdb append 00:00:00:00:00:00 dev vxlan47 dst 10.0.0.1
      - ip link add vxlan48 type vxlan id 48 dstport 4789 local 10.0.0.99
      - ip link set up dev vxlan48
      - bridge fdb append 00:00:00:00:00:00 dev vxlan47 dst 10.0.0.2
    ignore_errors: yes
